# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/clock/allwinner,sun4i-a10-mbus-clk.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner A10 MBUS Clock Device Tree Bindings

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Maxime Ripard <mripard@kernel.org>

deprecated: true

properties:
  "#clock-cells":
    const: 0

  compatible:
    enum:
      - allwinner,sun5i-a13-mbus-clk
      - allwinner,sun8i-a23-mbus-clk

  reg:
    maxItems: 1

  clocks:
    maxItems: 3
    description: >
      The parent order must match the hardware programming order.

  clock-output-names:
    maxItems: 1

required:
  - "#clock-cells"
  - compatible
  - reg
  - clocks
  - clock-output-names

additionalProperties: false

examples:
  - |
    clk@1c2015c {
        #clock-cells = <0>;
        compatible = "allwinner,sun5i-a13-mbus-clk";
        reg = <0x01c2015c 0x4>;
        clocks = <&osc24M>, <&pll6 1>, <&pll5 1>;
        clock-output-names = "mbus";
    };

  - |
    clk@1c2015c {
        #clock-cells = <0>;
        compatible = "allwinner,sun8i-a23-mbus-clk";
        reg = <0x01c2015c 0x4>;
        clocks = <&osc24M>, <&pll6 1>, <&pll5>;
        clock-output-names = "mbus";
    };

...
